12
回答
ubuntu 怎么查看显卡型号及安装显卡驱动
利用AWS快速构建适用于生产的无服务器应用程序,免费试用12个月>>>   

lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM76 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107M [GeForce GT 750M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GK107 HDMI Audio Controller (rev a1)
02:00.0 Ethernet controller: Qualcomm Atheros AR8161 Gigabit Ethernet (rev 10)
03:00.0 Network controller: Broadcom Corporation BCM4313 802.11bgn Wireless Network Adapter (rev 01)
04:00.0 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 30)
04:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 30)
04:00.3 System peripheral: JMicron Technology Corp. MS Host Controller (rev 30)
04:00.4 System peripheral: JMicron Technology Corp. xD Host Controller (rev 30)

这是我运行lspci的结果,显卡应该

NVIDIA Corporation GK107M [GeForce GT 750M] (rev a1)

然后找了另外的资料说查看显卡驱动是否安装,

glxinfo |head
name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_make_current_read


说是显示yes代表已经安装,可是我找不到nvidia-setting 页面,我这是哪儿出问题了..

ubuntu 版本是14.04LTS

举报
Tedd
发帖于3年前 12回/68K+阅
共有12个答案 最后回答: 2年前

Ubuntu 14.04 安装 Nvidia 私有驱动并进行双显卡切换
sudo apt-get install nvidia-331 nvidia-settings nvidia-prime
运行 nvidia-settings 可以在 Nvidia 和 Intel 显卡间进行切换以及查看N卡的温度和运行信息.

Intel核心显卡驱动i915.ko已经集成在内核,不需要额外安装:
/lib/modules/`uname -r`/kernel/drivers/gpu/drm/i915/i915.ko
要使用新的Intel驱动,升级内核即可,Ubuntu可以安装官方构建的最新内核Deb包,很方便.

lspci|grep VGA 关闭Nvidia独显看到的情况是:
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 630M] (rev ff)
其中 rev ff 表示Nvidia GT630M是关闭的.

同一台电脑上Windows 7和Ubuntu 14.04的CPU温度和GPU温度对比

--- 共有 3 条评论 ---
zgw06629谢谢, 解决了我的分辨率的调整问题。 公司台式机装完Ubuntu后,最大分辨率只有1024×768, 但外接的显示器有23寸, 太小了。 参考你的回复,运行了如下命令 sudo apt-get install nvidia-331 nvidia-settings nvidia-prime 重启即可 2年前 回复
Tedd不用再单独安装驱动嘛? 3年前 回复
eechen补充,你的 Xeon E3-1200 是服务器CPU,看lspci信息是没有核心显卡的。 3年前 回复

@eechen ,sudo apt-get install nvidia-331 nvidia-settings nvidia-prime 这命令我这儿运行不成功,单独安装了nvidia-settings后,设置界面没什么设置条件

@eechen ,

sudo apt-get install nvidia-331 nvidia-settings nvidia-prime
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
nvidia-settings 已经是最新的版本了。
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:


下列软件包有未满足的依赖关系:
 nvidia-331 : 依赖: lib32gcc1 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

你换一个软件源试试。运行 software-properties-gtk 选择一个镜像源比如我用中科大的 mirrors.ustc.edu.cn ,然后“重新载入”软件列表。

确认一下是不是331,那个在不同的ubuntu版本中软件仓库自带的版本是不同的。当前可用的最新版本应该是一个虚包nvidia-current,会依赖一个可用的nvidia驱动包。你可以apt-cache search一把看看
http://askubuntu.com/questions/451862/ubuntu-14-04-nvidia-drivers-cannot-be-installed
人家换个源就解决了,真的不知道你的是什么情况。
--- 共有 1 条评论 ---
Tedd是啊,我也不知道,我点那个选择驱动的也不行,只能用那个开源版本的,点其它的版本点了也无法更新,哎,算了,凑合着用吧,反正不玩游戏. 3年前 回复
执行 dpkg --print-foreign-architectures
如果没有返回i386,则可以这样为64位Ubuntu添加32位软件包支持:
sudo dpkg --add-architecture i386
sudo apt-get update
然后在安装lib32gcc1这个包:
sudo apt-get install lib32gcc1
--- 共有 1 条评论 ---
Tedddpkg --print-foreign-architectures 返回的是i386 3年前 回复
顶部